using Ping9719.WpfEx;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using 智慧物流软件系统.ViewModel;

namespace 智慧物流软件系统
{
    public partial class InterfaceRecordView : UserControlBase
    {
        public InterfaceRecordViewModel viewModel { get; set; } = new InterfaceRecordViewModel();
        public InterfaceRecordView()
        {
            InitializeComponent();
            this.DataContext = viewModel;
        }

        private void DataGrid_SelectedCellsChanged(object sender, SelectedCellsChangedEventArgs e)
        {
            //try
            //{
            //    DataGrid datagrid = sender as DataGrid;
            //    datagrid.UnselectAllCells();
            //}
            //catch
            //{

            //}
        }

        private void LoadedVisible(object sender, EventArgs e)
        {
            viewModel.BtnReset();
            viewModel.BtnSearchReset();
        }
    }
}
